- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Codec::CodecData Class Reference

`#include <OgreCodec.h>`

Inheritance diagram for Ogre::Codec::CodecData:
[legend]

List of all members.

## Public Member Functions
virtual | ~CodecData ()
virtual String | dataType () const
| Returns the type of the data.

## Detailed Description

Definition at line 58 of file OgreCodec.h.

## Constructor & Destructor Documentation

virtual Ogre::Codec::CodecData::~CodecData | ( |  | ) | `[virtual]`

Definition at line 61 of file OgreCodec.h.

## Member Function Documentation

virtual String Ogre::Codec::CodecData::dataType | ( |  | ) | const`[virtual]`

Returns the type of the data.

Reimplemented in Ogre::ImageCodec::ImageData.

Definition at line 65 of file OgreCodec.h.

The documentation for this class was generated from the following file:

- OgreCodec.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:20 2008